Ask Your Question
0

latex fedora 24

asked 2016-05-29 06:37:48 -0600

this post is marked as community wiki

This post is a wiki. Anyone with karma >750 is welcome to improve it.

Hello All,

I had to install Fedora 24 (beta as today) because my laptop was too new and needed latest version of Kernel.

Everything quite good, but the issue now is that I want to compile latex and seems that something is not ready yet. I have done

dnf install texlive-scheme-basic

and then try to compile any latex file. But this is what happens:

 $ latex test.tex 
This is pdfTeX, Version 3.14159265-2.6-1.40.16 (TeX Live 2016/dev) (preloaded format=latex)
 restricted \write18 enabled.

kpathsea: Running mktexfmt latex.fmt
Errno architecture (x86_64-linux-thread-multi-4.3.5-300.fc23.x86_64) does not match executable architecture (x86_64-linux-thread-multi-4.4.6-301.fc23.x86_64) at /usr/lib64/perl5/Errno.pm line 11.
Compilation failed in require at /usr/share/perl5/vendor_perl/File/Temp.pm line 17.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/File/Temp.pm line 17.
Compilation failed in require at /usr/share/texlive/tlpkg/TeXLive/TLUtils.pm line 206.
BEGIN failed--compilation aborted at /usr/share/texlive/tlpkg/TeXLive/TLUtils.pm line 206.
Compilation failed in require at /usr/bin/mktexfmt line 48.
BEGIN failed--compilation aborted at /usr/bin/mktexfmt line 48.
I can't find the format file `latex.fmt'!

Then, I

$ locate latex.fmt
/home/me/.texlive2007/texmf-var/web2c/pdftex/latex.fmt
/home/me/.texlive2007/texmf-var/web2c/pdftex/pdflatex.fmt
[sequi@sequi6 latex]$ cp /home/me/.texlive2007/texmf-var/web2c/pdftex/latex.fmt

And now happens this:

$ latex test.tex 
This is pdfTeX, Version 3.14159265-2.6-1.40.16 (TeX Live 2016/dev) (preloaded format=latex)
 restricted \write18 enabled.
---! latex.fmt doesn't match pdftex.pool
(Fatal format file error; I'm stymied)

Can anyone help me in what to do to correctly compile latex files in Fedora 24? Thank you, Ezequiel.

edit retag flag offensive close merge delete

Comments

This is a question for Stackexchange Latex

hhlp gravatar imagehhlp ( 2016-05-29 07:09:14 -0600 )edit

I have verified different proposals from the Latex Stack-exchange forum and all end up with the same architecture issue:

Errno architecture (x86_64-linux-thread-multi-4.3.5-300.fc23.x86_64) does not match executable architecture (x86_64-linux-thread-multi-4.4.6-301.fc23.x86_64) at /usr/lib64/perl5/Errno.pm line 11.

So I'd say that could be a problem to be address in this Fedora forum. You tell me.

Ezequiel.

sequi gravatar imagesequi ( 2016-05-30 16:01:21 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2016-05-30 16:12:38 -0600

sequi gravatar image

Solved: dnf update perl-Errno.x86_64 Thanks!

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2016-05-29 06:37:48 -0600

Seen: 2,303 times

Last updated: May 29 '16